Bug 120288 - 100% CPU usage
Summary: 100% CPU usage
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Morris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 122683
TreeView+ depends on / blocked
 
Reported: 2004-04-07 16:03 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 14:08:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-04-07 16:03:46 UTC
Description of problem:
rpc.mountd/quotad use 100% CPU when started in enforcing mode.

Version-Release number of selected component (if applicable):
kernel-2.6.4-1.305
policy-1.10.1-2
nfs-utils-1.0.6-19.fc2

How reproducible:
100%

Steps to Reproduce:
1. Put something in /etc/exports (not sure if this is necessary)
2. setenforce 1
3. service nfs start

Comment 1 Gene Czarcinski 2004-04-15 08:35:48 UTC
This looks like a selinux security policy problem to me.  I cam CC'ing
Dan Walsh on this problem.

Comment 2 Daniel Walsh 2004-04-15 11:30:10 UTC
It is not  policy problem, but it is a SELinux/ Kernel problem.  NFS
server and SELinux don't play well together right now.  (NFS CLient
and SELinux aren't too freindly either, but they work somewhat).



Comment 3 Gene Czarcinski 2004-04-16 12:31:15 UTC
Interesting that if you setenforcing 0 you can mount from another
system but cpu is still 100%

Comment 4 Daniel Walsh 2004-12-01 14:08:57 UTC
This seems to be working in FC3.


Note You need to log in before you can comment on or make changes to this bug.